SFWBAR-IDLE(1)

NAME
sfwbar-idle - Sfwbar Idle notifier module

Filename: idle.so

Requires: none

SYNOPSIS

The idle notifier module, provides support for idle triggers, i.e. triggers that are emitted if the user has been idle for a specified period of time.

EXPRESSION FUNCTIONS

None.

ACTIONS

  IdleTimeout Trigger, Timeout

Create a new trigger with a name Trigger that will be emitted after Timeout seconds of idleness. I.e. IdleTimeout "timeout1", "10". A trigger can be removed by invoking this action again with a Timeout value of zero.

TRIGGERS

The idle module defines trigger resumed by default. This trigger is emitted on the first user interaction after a timeout. Timeout triggers are defined using the IdleTimeout action.

COPYRIGHT
GPLv3+